Sign inGet started

Create contact identifier

POST
/workspaces/{workspaceId}/contacts/{contactId}/identifiers
This endpoint is used to create a new identifier for a contact. The identifier will be added to the contact and can be used for different purposes such as targeting, mapping, and more.
Corps de la requête
key
string
obligatoire
The identifier key.
value
string
obligatoire
The identifier value.
properties
object
Object with key-value pairs, where the key is up to 64 characters, only letters and digits. This can be used to store additional information about the identifier.
Corps de la réponse
contactId
string
obligatoire
key
string
obligatoire
value
string
obligatoire
properties
object
createdAt
string
obligatoire
Exemple de code
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/contacts/{contactId}/identifiers' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'

Examples

Let's establish some of our data that will be used in the following examples:
  • Workspace ID: a1405560-c8d3-4b1a-877d-3f449ad95352
  • AccessKey: abcd
  • Contact ID: 12bd0e40-9361-4e32-8b26-99b4ab7eae09

Create an identifier without properties

In this example, we're creating an identifier without custom properties.
Exemple de code
curl -X POST "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/contacts/12bd0e40-9361-4e32-8b26-99b4ab7eae09/identifiers" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcd" \
-d '{
  "key": "emailaddress",
  "value": "contacts@bird.com"
}'

Create an identifier with properties

In this example, we're creating an identifier with custom properties.
Exemple de code
curl -X POST "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/contacts/12bd0e40-9361-4e32-8b26-99b4ab7eae09/identifiers" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcd" \
-d '{
  "key": "emailaddress",
  "value": "contacts@bird.com",
  "properties": {
    "isGmail": true
  }
}'